import 'package:flutter/material.dart';

class PaymentAccount extends StatelessWidget {
  final String customerName;
  final String accountNumber;

  const PaymentAccount({Key key, this.customerName, this.accountNumber})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 20, vertical: 15),
      decoration: BoxDecoration(
        color: Color(0xFFF1F5F9),
        boxShadow: [
          BoxShadow(
            color: Color(0x50000000),
            offset: Offset(0.0, 0.0), //(x,y)
            blurRadius: 6.0,
          ),
        ],
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text("Customer Name".toUpperCase(),
                  textAlign: TextAlign.left,
                  style: TextStyle(
                      letterSpacing: 1.2,
                      fontSize: 11.0,
                      fontWeight: FontWeight.w500,
                      color: Color(0xFF8F9BAA))),
              Text(customerName,
                  textAlign: TextAlign.left,
                  style: TextStyle(
                      fontSize: 18.0,
                      fontWeight: FontWeight.w600,
                      color: Color(0xFF413E3E)))
            ],
          ),
          Column(
            crossAxisAlignment: CrossAxisAlignment.end,
            children: [
              Text("Account Number".toUpperCase(),
                  textAlign: TextAlign.right,
                  style: TextStyle(
                      letterSpacing: 1.2,
                      fontSize: 11.0,
                      fontWeight: FontWeight.w500,
                      color: Color(0xFF8F9BAA))),
              Text(accountNumber,
                  textAlign: TextAlign.right,
                  style: TextStyle(
                      fontSize: 18.0,
                      fontWeight: FontWeight.w600,
                      color: Color(0xFFF56A05)))
            ],
          ),
        ],
      ),
    );
  }
}
