import 'package:flutter/material.dart';

class PaymentOption extends StatelessWidget {
  final GestureTapCallback onPressed;
  final String imagePath;
  final String title;
  final String subtitle;
  final bool isActive;

  const PaymentOption(
      {Key key,
      this.onPressed,
      this.imagePath,
      this.title,
      this.subtitle,
      this.isActive = false})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return OutlineButton(
      borderSide: BorderSide(
          width: 2, color: isActive ? Color(0xFFF56A05) : Color(0x318F9BAA)),
      color: Colors.white,
      splashColor: Colors.white,
      padding: EdgeInsets.all(10.0),
      onPressed: onPressed,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(6.0)),
      child: Row(
        children: [
          Container(
            width: 40,
            height: 40,
            decoration: BoxDecoration(
                color: Colors.white,
                boxShadow: [
                  BoxShadow(
                    color: Color(0x16000000),
                    offset: Offset(0.0, 1.0), //(x,y)
                    blurRadius: 6.0,
                  ),
                ],
                borderRadius: BorderRadius.circular(6.0)),
            child: Image.asset(
              imagePath,
              fit: BoxFit.fill,
              width: 40,
              height: 40,
            ),
          ),
          SizedBox(width: 10.0),
          Expanded(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  title,
                  style: TextStyle(
                      fontSize: 18.0,
                      fontWeight: FontWeight.w600,
                      color: Color(0xFF3E3C3C)),
                ),
                Text(
                  subtitle,
                  style: TextStyle(
                      fontSize: 14.0,
                      fontWeight: FontWeight.w500,
                      color: Color(0xFF8F9BAA)),
                )
              ],
            ),
          ),
          SizedBox(width: 10.0),
          isActive
              ? Image.asset(
                  'packages/medapay/assets/images/ticked.png',
                  fit: BoxFit.fill,
                  width: 29,
                  height: 29,
                )
              : Container()
        ],
      ),
    );
  }
}
