import 'package:flutter/material.dart';

class Preloader extends StatelessWidget {
  final String title;
  final String subtitle;

  const Preloader({Key key, this.title, this.subtitle}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      child: Center(
          child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Padding(
            padding: const EdgeInsets.all(12.0),
            child: SizedBox(
                width: 60,
                height: 60,
                child: CircularProgressIndicator(
                    valueColor:
                        AlwaysStoppedAnimation<Color>(Color(0xfff56a05)))),
          ),
          Text(
            title,
            style: TextStyle(
                height: 1.6, fontSize: 24, fontWeight: FontWeight.w600),
          ),
          Text(
            subtitle,
            style: TextStyle(
                height: 1.4, fontSize: 18, fontWeight: FontWeight.w500),
          )
        ],
      )),
    );
  }
}
