enum MedaPayBillInfoStatus {
  pending,
  paid,
  canceled,
}

class MedaPayBillInfo {
  String referenceNumber;
  String orderId;
  String customerName;
  String accountNumber;
  String description;
  double amount;
  String paymentMethod;
  MedaPayBillInfoStatus status;
  String currency;
  DateTime createdAt;
  DateTime updatedAt;
  bool isSimulation;

  static MedaPayBillInfoStatus parseStatus(String stringStatus) {
    if (stringStatus == 'PENDING') return MedaPayBillInfoStatus.pending;
    if (stringStatus == 'PAYED') return MedaPayBillInfoStatus.paid;
    return MedaPayBillInfoStatus.canceled;
  }

  MedaPayBillInfo(
      {this.referenceNumber,
      this.orderId,
      this.customerName,
      this.accountNumber,
      this.description,
      this.amount,
      this.paymentMethod,
      this.status,
      this.currency,
      this.createdAt,
      this.updatedAt,
      this.isSimulation});

  factory MedaPayBillInfo.fromDecodedBody(Map<String, dynamic> decodedBody) {
    return MedaPayBillInfo(
        referenceNumber: decodedBody['referenceNumber'],
        orderId: decodedBody['orderId'],
        customerName: decodedBody['customerName'],
        accountNumber: decodedBody['accountNumber'],
        description: decodedBody['description'],
        amount: decodedBody['amount'],
        paymentMethod: decodedBody['paymentMethod'],
        status: MedaPayBillInfo.parseStatus(decodedBody['status']),
        currency: decodedBody['currency'],
        createdAt: DateTime.parse(decodedBody['createdAt']),
        updatedAt: DateTime.parse(decodedBody['updatedAt']),
        isSimulation: decodedBody['isSimulation']);
  }

  String toString() {
    return 'Reference Number: $referenceNumber, Order Id: $orderId, Customer Name: $customerName, Account Number: $accountNumber, Description: $description, Payment Method: $paymentMethod, Status: $status, Created At: $createdAt, Updated At: $updatedAt, Currency: $currency, Simulation: $isSimulation';
  }
}
